Skip to main content
GET
/
argocdApp
/
{argocdAppId}
Get ArgoCD app by ID
curl --request GET \
  --url https://api.qovery.com/argocdApp/{argocdAppId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "namespace": "<string>",
  "environment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "icon_uri": "app://qovery-console/argocd",
  "updated_at": "2023-11-07T05:31:56Z",
  "last_synced_at": "2023-11-07T05:31:56Z",
  "manifest_revision": "<string>",
  "git_repository": {
    "owner": "John Doe",
    "url": "<string>",
    "name": "simple-node-app",
    "has_access": true,
    "branch": "<string>",
    "root_path": "<string>",
    "deployed_commit_id": "<string>",
    "deployed_commit_date": "2023-11-07T05:31:56Z",
    "deployed_commit_contributor": "<string>",
    "deployed_commit_tag": "v1.0.1",
    "git_token_id": "<string>",
    "git_token_name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

argocdAppId
string<uuid>
required

ArgoCD App ID

Response

Get ArgoCD app by ID

An ArgoCD service

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required

name is case insensitive

service_type
enum<string>
required

type of the service (application, database, job, ...)

Available options:
APPLICATION,
DATABASE,
CONTAINER,
JOB,
HELM,
TERRAFORM,
ARGOCD_APP
namespace
string
required
environment
object
required
environment_id
string<uuid>
required
cluster_id
string<uuid>
required
icon_uri
string<uri>
default:app://qovery-console/argocd
required

Icon URI representing the ArgoCD service.

updated_at
string<date-time>
read-only
last_synced_at
string<date-time> | null
manifest_revision
string | null
git_repository
object